# Uses of Class
org.eclipse.jdt.core.dom.StringLiteral

Packages that use StringLiteral
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of StringLiteral in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return StringLiteral
Modifier and Type
Method
Description
`StringLiteral`
AST.`newStringLiteral()`
Creates and returns a new unparented string literal node for the empty string literal.
Methods in org.eclipse.jdt.core.dom with parameters of type StringLiteral
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(StringLiteral node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(StringLiteral node, Object other)`
Returns whether the given node and the other object match.
`boolean`
ASTVisitor.`visit(StringLiteral node)`
Visits the given type-specific AST node.